Imports System.ComponentModel
Imports System.Web.UI

<DefaultProperty("Text"), ToolboxData("<{0}:WebCustomControl1 runat=server></{0}:WebCustomControl1>")> Public Class WebCustomControl1
    Inherits System.Web.UI.WebControls.WebControl

    Dim _TextType As String

    <Bindable(True), Category("Appearance"), DefaultValue("")> Property TextType() As String
        Get
            Return _TextType
        End Get

        Set(ByVal Value As String)
            _TextType = Value
        End Set
    End Property

    Protected Overrides Sub Render(ByVal output As System.Web.UI.HtmlTextWriter)
        If _TextType = "Legal" Then
            output.Write("This is the fixed legal " _
                & "text from the control")
        ElseIf _TextType = "Header" Then
            output.Write("This is the fixed header " _
                & "text from the control")
        ElseIf _TextType = "Footer" Then
            output.Write("This is the fixed footer " _
                & "text from the control")
        End If
    End Sub

End Class
