<%@ Page Language=VB Debug=true %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OLEDB" %>
<%@ Import Namespace="System.Web.Mail" %>
<script runat=server>
Sub Page_Load(ByVal Sender as Object, ByVal E as EventArgs)
    If Len(Session("CustomerID")) = 0 Then
        Response.Redirect("./shopping_cart.aspx")
    End If
    If Not IsPostBack Then
        Dim DBConn as OleDbConnection
        Dim DBCommand As OleDbDataAdapter
        Dim DSPageData as New DataSet
        DBConn = New OleDbConnection _
            ("PROVIDER=Microsoft.Jet.OLEDB.4.0;" _
            & "DATA SOURCE=" _
            & Server.MapPath("/dg/22/C22.mdb;"))
        DBCommand = New OleDbDataAdapter _
            ("Select ShoppingCartItemID " _
            & "from ShoppingCartItems Where " _
            & "CustomerID = " & Session("CustomerID") _
            & " Order By ProductName" _
            , DBConn) 
        DBCommand.Fill(DSPageData, _
            "ShoppingCart")
        If DSPageData.Tables("ShoppingCart").Rows.Count = 0 Then
            Response.Redirect("./shopping_cart.aspx")
        End If
    End If
End Sub
Sub SubmitCheckOut_Click(Sender As Object, E As EventArgs)
    Dim DBConn as OleDbConnection
    Dim DBUpdate As New OleDbCommand
    Dim DBCommand As OleDbDataAdapter
    Dim DSPageData as New DataSet
    Dim TheTotal as Single
    Dim I as Integer
    Dim TheMessage as String
    Dim TheMailMessage as New MailMessage
    Dim TheMailConnection as New SmtpMail
    DBConn = New OleDbConnection _
        ("PROVIDER=Microsoft.Jet.OLEDB.4.0;" _
        & "DATA SOURCE=" _
        & Server.MapPath("/dg/22/C22.mdb;"))
    DBCommand = New OleDbDataAdapter _
        ("Select Sum(Price) + Sum(Shipping) " _
        & "as TheTotal From " _
        & "ShoppingCartItems Where " _
        & "CustomerID = " & Session("CustomerID") _
        , DBConn)
    DBCommand.Fill(DSPageData, _
        "Totals")
    TheTotal = DSPageData.Tables("Totals"). _
        Rows(0).Item("TheTotal")
    DBUpdate.CommandText = "Update Customers set " _
        & "Status = 'Order Placed', " _
        & "OrderTotal = " _
        & TheTotal & ", " _
        & "FirstName = '" _
        & Replace(txtFirstName.Text, "'", "''") & "', " _
        & "LastName = '" _
        & Replace(txtLastName.Text, "'", "''") & "', " _
        & "EmailAddress = '" _
        & Replace(txtEmailAddress.Text, "'", "''") & "', " _
        & "Address = '" _
        & Replace(txtAddress.Text, "'", "''") & "', " _
        & "City = '" _
        & Replace(txtCity.Text, "'", "''") & "', " _
        & "State = '" _
        & Replace(txtState.Text, "'", "''") & "', " _
        & "ZipCode = '" _
        & Replace(txtZipCode.Text, "'", "''") & "', " _
        & "CCType = '" _
        & Replace(txtCCType.Text, "'", "''") & "', " _
        & "CCNumber = '" _
        & Replace(txtCCNumber.Text, "'", "''") & "', " _
        & "CCExpiration = '" _
        & Replace(txtCCExpiration.Text, "'", "''") & "' " _
        & "Where CustomerID = " & Session("CustomerID")
    DBUpdate.Connection = DBConn
    DBUpdate.Connection.Open
    DBUpdate.ExecuteNonQuery()
    DBUpdate.CommandText = "Update ShoppingCartItems set " _
        & "ProductStatus = 'Order Placed' " _
        & "Where CustomerID = " & Session("CustomerID")
    DBUpdate.ExecuteNonQuery()
    TheMessage = "Here is the receipt for your order: " _
        & vbNewLine & vbNewLine & "Order Number: " _
        & Session("CustomerID") & vbNewLine & vbNewLine _
        & "What you ordered:" & vbNewLine
    DBCommand = New OleDbDataAdapter _
        ("Select ProductID, ProductName, Quantity From " _
        & "ShoppingCartItems Where " _
        & "CustomerID = " & Session("CustomerID") _
        , DBConn) 
    DBCommand.Fill(DSPageData, _
        "ShoppingCart")
    For I = 0 to DSPageData.Tables("ShoppingCart"). _
        Rows.Count - 1
        DBUpdate.CommandText = "Update Products set " _
            & "CurrentQuantity = CurrentQuantity - " _
            & DSPageData.Tables("ShoppingCart"). _
            Rows(I).Item("Quantity") & " Where " _
            & "ProductID = " & DSPageData.Tables("ShoppingCart"). _
            Rows(I).Item("ProductID")
        DBUpdate.ExecuteNonQuery()
        TheMessage = TheMessage & "Product: " _
            & DSPageData.Tables("ShoppingCart"). _
            Rows(I).Item("ProductName") _
            & ", Quantity Ordered: " _
            & DSPageData.Tables("ShoppingCart"). _
            Rows(I).Item("Quantity") & vbNewLine
    Next
    TheMessage = TheMessage & vbNewLine & "Total Charged to " _
        & "your credit card: " & FormatCurrency(TheTotal)
    TheMailMessage.From = "us@a.com"
    TheMailMessage.To = txtEmailAddress.Text
    TheMailMessage.Subject = "Your Order from Clothing Store"
    TheMailMessage.Body = TheMessage
    TheMailConnection.Send(TheMailMessage)    
    Session.Abandon
    pnlForm.Visible = False
    lblMessage.Text = "Your order has been placed."
End Sub
</SCRIPT>
<HTML>
<HEAD>
<TITLE>Clothing Store - Check Out</TITLE>
</HEAD>
<BODY BACKGROUND="./bg.gif" TEXT="black" LINK="darkred" VLINK="darkred" ALINK="red" LEFTMARGIN="40" TOPMARGIN="30">
<form runat="server">
<asp:Label 
    id="lblTitle" 
    BorderWidth="7px"
    BorderStyle=7
    Width="98%"
    Font-Size="25pt"
    Font-Name="Arial"
    runat="server"
    Text="<CENTER>Shopping Cart</CENTER>"
/>
<Font Face="Arial">
<BR><BR>
<asp:Label 
    id="lblMessage" 
    Font-Bold="True"
    Width="90%"
    Text="Complete each field to check out."
    runat="server"
/>
<asp:Panel 
    id="pnlForm" 
    runat="server"
>
    <asp:ValidationSummary ID="vsAllErrors" 
        DisplayMode="BulletList" 
        ShowMessageBox="True"
        ShowSummary="False"
        runat="server"
        HeaderText="You need to enter a value in these fields:"
    />
    <BR><BR>
    <Table>
    <TR><TD><B>First Name</B></TD>
    <TD>
    <asp:TextBox 
        id="txtFirstName" 
        Columns="25"
        MaxLength="50"
        runat=server 
    />
    <asp:RequiredFieldValidator 
        id="rfvFirstName"
        ControlToValidate="txtFirstName" 
        ErrorMessage="First Name"
        Display="Static"
        runat=server>
        *
    </asp:RequiredFieldValidator>
    </TD></TR>
    <TR><TD><B>Last Name</B></TD>
    <TD>
    <asp:TextBox 
        id="txtLastName" 
        Columns="25"
        MaxLength="50"
        runat=server 
    />
    <asp:RequiredFieldValidator 
        id="rfvLastName"
        ControlToValidate="txtLastName" 
        ErrorMessage="Last Name"
        Display="Static"
        runat=server>
        *
    </asp:RequiredFieldValidator>
    </TD></TR>
    <TR><TD><B>Email Address</B></TD>
    <TD>
    <asp:TextBox 
        id="txtEmailAddress" 
        Columns="25"
        MaxLength="50"
        runat=server 
    />
    <asp:RequiredFieldValidator 
        id="rfvEmailAddress"
        ControlToValidate="txtEmailAddress" 
        ErrorMessage="Email Address"
        Display="Static"
        runat=server>
        *
    </asp:RequiredFieldValidator>
    </TD></TR>
    <TR><TD><B>Address</B></TD>
    <TD>
    <asp:TextBox 
        id="txtAddress" 
        Columns="25"
        MaxLength="100"
        runat=server 
    />
    <asp:RequiredFieldValidator 
        id="rfvAddress"
        ControlToValidate="txtAddress" 
        ErrorMessage="Address"
        Display="Static"
        runat=server>
        *
    </asp:RequiredFieldValidator>
    </TD></TR>
    <TR><TD><B>City</B></TD>
    <TD>
    <asp:TextBox 
        id="txtCity" 
        Columns="25"
        MaxLength="100"
        runat=server 
    />
    <asp:RequiredFieldValidator 
        id="rfvCity"
        ControlToValidate="txtCity" 
        ErrorMessage="City"
        Display="Static"
        runat=server>
        *
    </asp:RequiredFieldValidator>
    </TD></TR>
    <TR><TD><B>State</B></TD>
    <TD>
    <asp:TextBox 
        id="txtState" 
        Columns="25"
        MaxLength="2"
        runat=server 
    />
    <asp:RequiredFieldValidator 
        id="rfvState"
        ControlToValidate="txtState" 
        ErrorMessage="State"
        Display="Static"
        runat=server>
        *
    </asp:RequiredFieldValidator>
    </TD></TR>
    <TR><TD><B>Zip Code</B></TD>
    <TD>
    <asp:TextBox 
        id="txtZipCode" 
        Columns="25"
        MaxLength="50"
        runat=server 
    />
    <asp:RequiredFieldValidator 
        id="rfvZipCode"
        ControlToValidate="txtZipCode" 
        ErrorMessage="Zip Code"
        Display="Static"
        runat=server>
        *
    </asp:RequiredFieldValidator>
    </TD></TR>
    <TR><TD><B>Credit Card Type</B></TD>
    <TD>
    <asp:TextBox 
        id="txtCCType" 
        Columns="25"
        MaxLength="50"
        runat=server 
    />
    <asp:RequiredFieldValidator 
        id="rfvCCType"
        ControlToValidate="txtCCType" 
        ErrorMessage="Credit Card Type"
        Display="Static"
        runat=server>
        *
    </asp:RequiredFieldValidator>
    </TD></TR>
    <TR><TD><B>Credit Card Number</B></TD>
    <TD>
    <asp:TextBox 
        id="txtCCNumber" 
        Columns="25"
        MaxLength="50"
        runat=server 
    />
    <asp:RequiredFieldValidator 
        id="rfvCCNumber"
        ControlToValidate="txtCCNumber" 
        ErrorMessage="Credit Card Number"
        Display="Static"
        runat=server>
        *
    </asp:RequiredFieldValidator>
    </TD></TR>
    <TR><TD><B>Credit Card Expiration</B></TD>
    <TD>
    <asp:TextBox 
        id="txtCCExpiration" 
        Columns="25"
        MaxLength="50"
        runat=server 
    />
    <asp:RequiredFieldValidator 
        id="rfvCCExpiration"
        ControlToValidate="txtCCExpiration" 
        ErrorMessage="Credit Card Expiration"
        Display="Static"
        runat=server>
        *
    </asp:RequiredFieldValidator>
    </TD></TR>
    </Table>
    <BR>
    <asp:button 
        id="butAdd"
        text="  OK  "
        Type="Submit"
        OnClick="SubmitCheckOut_Click" 
        runat="server"
    />
</asp:Panel>
<BR><BR>
<asp:HyperLink 
    id="hyp3"
    runat="server"
    Text="Home"
    NavigateURL="./index.aspx"
/>
&nbsp&nbsp
<asp:HyperLink 
    id="hyp2"
    runat="server"
    Text="Shopping Cart"
    NavigateURL="./shopping_cart.aspx"
/>
</Font>
</Form>
</BODY>
</HTML>
