<%@ Page Language=VB Debug=true %>
<%@ Import Namespace="System.Data" %>
<script runat=server>
Sub Page_Load(ByVal Sender as Object, ByVal E as EventArgs)
    If Not IsPostBack Then
        Dim MyDT As New DataTable
        Dim MyRow As DataRow
        MyDT.Columns.Add(New DataColumn("EmployeeID", _
            GetType(Int32)))
        MyDT.Columns.Add(New DataColumn("EmployeeFirstName", _
            GetType(String)))
        MyDT.Columns.Add(New DataColumn("EmployeeLastName", _
            GetType(String)))
        MyDT.Columns.Add(New DataColumn("BirthDate", _
            GetType(Date)))
        MyDT.Columns.Add(New DataColumn("Salary", _
            GetType(Single)))

        MyRow = MyDT.NewRow()
        MyRow(0) = 1
        MyRow(1) = "Bob"
        MyRow(2) = "Miller"
        MyRow(3) = "5/15/65"
        MyRow(4) = "40000"
        MyDT.Rows.Add(MyRow)
        MyRow = MyDT.NewRow()
        MyRow(0) = 2
        MyRow(1) = "Jenny"
        MyRow(2) = "Fry"
        MyRow(3) = "7/22/75"
        MyRow(4) = "73050"
        MyDT.Rows.Add(MyRow)
        MyRow = MyDT.NewRow()
        MyRow(0) = 3
        MyRow(1) = "Lisa"
        MyRow(2) = "Smith"
        MyRow(3) = "12/8/71"
        MyRow(4) = "62500"
        MyDT.Rows.Add(MyRow)
        MyRow = MyDT.NewRow()
        MyRow(0) = 4
        MyRow(1) = "Stephanie"
        MyRow(2) = "Myer"
        MyRow(3) = "3/15/54"
        MyRow(4) = "43222"
        MyDT.Rows.Add(MyRow)
        MyRow = MyDT.NewRow()
        MyRow(0) = 5
        MyRow(1) = "Jimmy"
        MyRow(2) = "Parker"
        MyRow(3) = "3/12/47"
        MyRow(4) = "52825"
        MyDT.Rows.Add(MyRow)

        dg1.DataSource = MyDT
        dg1.DataBind()
    End If
    If Len(Request.QueryString("EmployeeID")) > 0 Then
        lblMessage.Text = "You selected employee " _
            & Request.QueryString("EmployeeID") & ".<BR>"
    End If
End Sub
Sub Sort_Grid(ByVal Sender as Object, _
    ByVal E as DataGridSortCommandEventArgs)
    lblMessage.Text = "You want to sort by the " _
        & E.SortExpression.ToString() & "<BR>"
End Sub
</SCRIPT>
<HTML>
<HEAD>
<TITLE>DataGrid 4 Control Sample Page</TITLE>
</HEAD>
<BODY BACKGROUND="./bg.gif" TEXT="black" LINK="darkred" VLINK="darkred" ALINK="red" LEFTMARGIN="40" TOPMARGIN="30">
<form runat="server">
<Font Face="Tahoma">
<asp:Label
    id="lblMessage"
    runat="server"
/>
<BR>
<ASP:DataGrid 
    id="dg1" 
    runat="server"
    Width="90%"
    BorderColor="black"
    CellPadding=3 
    CellSpacing="0"
    Font-Name="Trebuchet MS"
    Font-Size="10pt"
    ForeColor="Black"
    BackColor="Beige" 
    AlternatingItemStyle-ForeColor="Cornsilk"
    AlternatingItemStyle-BackColor="DarkBlue"
    AlternatingItemStyle-Font-Name="Arial"
    AlternatingItemStyle-Font-Italic="True"
    HeaderStyle-BackColor="Burlywood"
    HeaderStyle-Font-Bold="True"
    AutoGenerateColumns="False"
    AllowSorting="True"
    OnSortCommand="Sort_Grid"
>
    <Columns>
        <asp:HyperLinkColumn
            HeaderText="Employee ID"
            DataNavigateUrlField="EmployeeID"
            DataNavigateUrlFormatString="./datagrid3.aspx?EmployeeID={0}"
            DataTextField="EmployeeID"
            Target="_self"
            SortExpression="Employee ID"
        />
        <asp:BoundColumn 
            HeaderText="Last Name" 
            DataField="EmployeeLastName"
            SortExpression="Last Name"
        />
        <asp:BoundColumn 
            HeaderText="First Name" 
            DataField="EmployeeFirstName"
        />
        <asp:BoundColumn 
            HeaderText="Salary"
            DataField="Salary"
            DataFormatString="{0:C}"
            SortExpression="Salary"
        />
        <asp:BoundColumn 
            HeaderText="Birth Date"
            DataField="BirthDate"
            DataFormatString="{0:d}"
            SortExpression="Birth Date"
        />
    </Columns>  
</asp:DataGrid>
</Font>
</Form>
</BODY>
</HTML>