<%@ Page Language=VB Debug=true %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OLEDB" %>
<script runat=server>
Sub Page_Load(ByVal Sender as Object, ByVal E as EventArgs)
    If Not IsPostBack Then
        Dim DBConn as OleDbConnection
        Dim DBCommand As OleDbDataAdapter
        Dim DSPageData as New DataSet
        DBConn = New OleDbConnection("PROVIDER=" _
            & "Microsoft.Jet.OLEDB.4.0;" _
            & "DATA SOURCE=" _
            & Server.MapPath("/DG/21/C21.mdb;"))
        If Request.QueryString("Mode") = "Specials" Then
            lblMessage.Text = "Current Specials"
            DBCommand = New OleDbDataAdapter _
                ("Select ProductID, ProductName, " _
                & "BriefDescription, Price " _
                & "From Products " _
                & "Where CurrentSpecial = True " _
                & "Order By ProductName", DBConn) 
        ElseIf Request.QueryString("Mode") = "Arrivals" Then
            lblMessage.Text = "New Arrivals to Our Catalog"
            DBCommand = New OleDbDataAdapter _
                ("Select ProductID, ProductName, " _
                & "BriefDescription, Price " _
                & "From Products " _
                & "Where WhenRecv >= DateAdd(""m"", -1, Date()) " _
                & "Order By ProductName", DBConn) 
        ElseIf Request.QueryString("Mode") = "ViewCat" Then
            lblMessage.Text = "Products in " _
                & Request.QueryString("CategoryName")
            DBCommand = New OleDbDataAdapter _
                ("Select ProductID, ProductName, " _
                & "BriefDescription, Price " _
                & "From Products " _
                & "Where ProductCategoryID = " _
                & Request.QueryString("ProductCategoryID") _
                & " Order By ProductName", DBConn) 
        ElseIf Request.QueryString("Mode") = "Search" Then
            lblMessage.Text = "Results for search text: " _
                & Request.QueryString("SearchText")
            DBCommand = New OleDbDataAdapter _
                ("Select ProductID, ProductName, " _
                & "BriefDescription, Price " _
                & "From Products " _
                & "Where ProductName Like '%" _
                & Request.QueryString("SearchText") _
                & "%' or BriefDescription Like '%" _
                & Request.QueryString("SearchText") _
                & "%' or LongDescription Like '%" _
                & Request.QueryString("SearchText") _
                & "%' Order By ProductName", DBConn) 
        Else
            Response.Redirect("./index.aspx")
        End If
        DBCommand.Fill(DSPageData, _
            "Products")
        dgProducts.DataSource = _
            DSPageData.Tables("Products").DefaultView
        dgProducts.DataBind
    End If
End Sub
</SCRIPT>
<HTML>
<HEAD>
<TITLE>Employee Directory</TITLE>
</HEAD>
<BODY BACKGROUND="./bg.gif" TEXT="black" LINK="darkred" VLINK="darkred" ALINK="red" LEFTMARGIN="40" TOPMARGIN="30">
<form runat="server">
<Font Face="Tahoma" Size="+1">
<asp:Label 
    id="lblTitle" 
    BorderWidth="7px"
    BorderStyle=9
    Width="90%"
    Font-Size="25pt"
    Font-Name="Arial"
    Text="<CENTER>Clothing Store - Products</CENTER>"
    runat="server"
/>
<BR><BR>
<asp:Label 
    id="lblMessage" 
    Font-Size="12pt"
    Font-Bold="True"
    Font-Name="Lucida Console"
    runat="server"
/>
<BR><BR>
<ASP:DataGrid 
    id="dgProducts" 
    AutoGenerateColumns="false"
    Width="90%"
    BackColor="beige" 
    AlternatingItemStyle-BackColor="cornsilk" 
    BorderColor="black"
    ShowFooter="false" 
    CellPadding=3 
    CellSpacing="0"
    Font-Name="Arial"
    Font-Size="8pt"
    ForeColor="Black"
    HeaderStyle-BackColor="burlywood"
    HeaderStyle-Font-Bold="True"
    runat="server">
    <Columns>
        <asp:HyperLinkColumn
            HeaderText="Product (Click for more info)"
            DataNavigateUrlField="ProductID"
            DataNavigateUrlFormatString="./product.aspx?ProductID={0}"
            DataTextField="ProductName"
            Target="_self"
        />
        <asp:BoundColumn 
            HeaderText="Description"
            DataField="BriefDescription"
        />
        <asp:BoundColumn 
            HeaderText="Price"
            DataField="Price"
            DataFormatString="{0:C}"
        />
    </Columns>  
</asp:DataGrid>

<BR><BR>
<asp:HyperLink 
    id="hyp"
    runat="server"
    Text="Home"
    NavigateURL="./index.aspx"
/>
</Font>
</Form>
</BODY>
</HTML>