<%@ WebService Language="VB" Class="StringDateFunctions"%>
Option Strict Off
Imports System.Web.Services
<WebService(Namespace:="http://localhost/" _
    & "wwwroot/dg/17/Server/")> _
Public Class StringDateFunctions
    <WebMethod()> Public Function MakeLength _
        (StringToConvert as String, DesiredLength as Long, _
        PadCharacter as String) as String
        Dim TempString as String
        TempString = StringToConvert
        If TempString.Length > DesiredLength Then
            TempString = TempString.SubString(0, DesiredLength)
        Elseif TempString.Length < DesiredLength Then
            Do Until TempString.Length >= DesiredLength
                TempString = TempString & PadCharacter
            Loop
        End If
        MakeLength = TempString
    End Function
    <WebMethod()> Public Function ParseIt _
        (StringToParse as String, ParseChar as String) as String
        If StringToParse.IndexOf(ParseChar) <> -1 Then
            ParseIt = StringToParse.SubString _
                (0, StringToParse.IndexOf(ParseChar))
        Else
            ParseIt = StringToParse
        End If
    End Function
    <WebMethod()> Public Function YTD() as String
        Dim CurrentDate as Date
        YTD = "1/1/" & CurrentDate.Year & " - " & CurrentDate.Today
    End Function
    <WebMethod()> Public Function NextMonth _
        (BaseDate as Date) as String
        Dim TheDate as String
        If BaseDate.Month = 12 Then
            TheDate = "1/1/" & (BaseDate.Year + 1)
        Else
            TheDate = (BaseDate.Month + 1) & "/1/" & BaseDate.Year
        End If
        NextMonth = TheDate
    End Function
End Class
