<%@ Page Language=VB Debug=true %>
<%@ Import Namespace="Microsoft.Web.UI.WebControls" %>
<%@ Register TagPrefix="IEControls" 
    Namespace="Microsoft.Web.UI.WebControls" 
    Assembly ="Microsoft.Web.UI.WebControls"
%>
<script runat=server>
Sub Page_Load(ByVal Sender as Object, ByVal E as EventArgs)
    'SelectedNodeIndex
End Sub
Sub TreeChange(ByVal Sender as Object, _
    ByVal E as TreeViewSelectEventArgs)
    lblMessage.Text = "You selected node " & E.NewNode.ToString() _
        & " and moved from node " & E.OldNode.ToString() & "."
End Sub
Sub TreeExpand(ByVal Sender as Object, _
    ByVal E as TreeViewClickEventArgs)
    lblMessage2.Text = "You expanded node " _
        & E.Node.ToString() & "."

End Sub
Sub TreeCollapse(ByVal Sender as Object, _
    ByVal E as TreeViewClickEventArgs)
    lblMessage2.Text = "You collapsed node " _
        & E.Node.ToString() & "."
End Sub
</SCRIPT>
<HTML>
<HEAD>
<TITLE>TreeView 4 Control Sample Page</TITLE>
</HEAD>
<BODY BACKGROUND="./bg.gif" TEXT="black" LINK="darkred" VLINK="darkred" ALINK="red" LEFTMARGIN="40" TOPMARGIN="30">
<form runat="server">
<Font Face="Tahoma">
<asp:Label
    id="lblMessage"
    runat="server"
/>
<BR>
<asp:Label
    id="lblMessage2"
    runat="server"
/>
<BR><BR>
<IEControls:treeview
    id="MyTree4"
    onSelectedIndexChanged="TreeChange"
    onexpand="TreeExpand" 
    oncollapse="TreeCollapse" 
    AutoPostBack="True"
    BackColor="LightYellow"
    BorderStyle=9
    BorderWidth=3
    BorderColor="DarkBlue"
    runat="server">
    <IEControls:treenode Text="Clothing">
        <IEControls:treenode 
            Text="Men's"
            Target="New"
            NavigateURL="./department.aspx?ID=2"
            />
        <IEControls:treenode Text="Women's"
            Target="New"
            NavigateURL="./department.aspx?ID=3"
            />
        <IEControls:treenode Text="Children's&nbsp&nbsp&nbsp">
            <IEControls:treenode 
                CheckBox=True 
                Text="Socks"
            />
            <IEControls:treenode 
                CheckBox=True 
                Text="Shirts"
            />
            <IEControls:treenode 
                CheckBox=True 
                Text="Pants"
                Checked
                />
        </IEControls:treenode>
    </IEControls:treenode>
    <IEControls:treenode Text="Electronics">
        <IEControls:treenode 
            CheckBox=True 
            Text="Audio"
            />
        <IEControls:treenode 
            CheckBox=True 
            Text="TV/VCR"
            />
        <IEControls:treenode
            CheckBox=True 
            Text="Computers"
            />
    </IEControls:treenode>
</IEControls:treeview>
</Font>
</Form>
</BODY>
</HTML>
