<%@ Page 
    Inherits="System.Web.UI.MobileControls.MobilePage" 
    Language="VB" 
%>
<%@ Register 
    TagPrefix="mobile" 
    Namespace="System.Web.UI.MobileControls" 
    Assembly="System.Web.Mobile" 
%>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OLEDB" %>
<script runat="server" language="VB">
Sub Page_Load(ByVal Sender as Object, ByVal E as EventArgs)
    If Len(Session("UserID")) = 0 Then
        Response.Redirect("./index.aspx")
    End If
    If Not IsPostBack Then
        Dim DBConn as OleDbConnection
        Dim DBCommand As OleDbDataAdapter
        Dim DSPageData as New DataSet
        DBConn = New OleDbConnection("PROVIDER=" _
            & "Microsoft.Jet.OLEDB.4.0;" _
            & "DATA SOURCE=" _
            & Server.MapPath("/DG/20/Messenger.mdb;"))
        DBCommand = New OleDbDataAdapter _
            ("Select UserID, UserName " _
            & "From Users " _
            & "Order By UserName", DBConn)
        DBCommand.Fill(DSPageData, _
            "Users")
        ddlUsers.DataSource = _
            DSPageData.Tables("Users").DefaultView
        ddlUsers.DataBind()
    End If
End Sub
Sub Send_OnSubmit(Sender As Object, E As EventArgs)
    Dim DBConn as OleDbConnection
    Dim DBInsert As New OleDbCommand
    DBConn = New OleDbConnection("PROVIDER=" _
        & "Microsoft.Jet.OLEDB.4.0;" _
        & "DATA SOURCE=" _
        & Server.MapPath("/DG/20/Messenger.mdb;"))
    DBInsert.CommandText = "Insert Into Messages " _
        & "(UserFrom, UserTo, WhenSent, MessageTitle, " _
        & "TheMessage) values (" _
        & "'" & Session("UserName") & "', " _
        & ddlUsers.Selection.Value & ", " _
        & "'" & Now() & "', " _
        & "'" & Replace(txtMessageTitle.Text, "'", "''") & "', " _
        & "'" & Replace(txtMessageText.Text, "'", "''") & "')"
    DBInsert.Connection = DBConn
    DBInsert.Connection.Open
    DBInsert.ExecuteNonQuery()
    Response.Redirect("./menu.aspx")
End Sub
</script>
<mobile:Form id="Register" runat="server">
    <mobile:Label 
        runat="server"
        id="lblTitle"
        StyleReference="title" 
        Text="Messenger"
    />
    <mobile:Label 
        runat="server" 
        id="lbl1"
        Text="Message Is To" 
    />
    <mobile:SelectionList
        runat="server" 
        id="ddlUsers"
        DataTextField="UserName"
        DataValueField="UserID"
    />
    <mobile:Label 
        runat="server" 
        id="lbl2"
        Text="Message Title" 
    />
    <mobile:TextBox
        runat="server" 
        id="txtMessageTitle"
        MaxLength=20
    />
    <mobile:Label 
        runat="server" 
        id="lbl3"
        Text="Message Title" 
    />
    <mobile:TextBox
        runat="server" 
        id="txtMessageText"
        MaxLength=255
    />
    <mobile:Command 
        runat="server" 
        id="cmdSend"
        OnClick="Send_OnSubmit" 
        Text="Send" 
    />
    <mobile:Link
        runat="server" 
        id="lnkCancel"
        Text="Cancel" 
        NavigateURL="./menu.aspx"
    />
</mobile:Form>


