<%@ Page Language=VB Debug=true %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OLEDB" %>
<script runat=server>
Sub Page_Load(ByVal Sender as Object, ByVal E as EventArgs)
    If Len(Request.QueryString("EmployeeID")) = 0 Then
        Response.Redirect("./index.aspx")
    End If
    If Not IsPostBack Then
        Dim DBConn as OleDbConnection
        Dim DBCommand As OleDbDataAdapter
        Dim DSPageData as New DataSet
        Dim TheItem as New ListItem
        DBConn = New OleDbConnection("PROVIDER=" _
            & "Microsoft.Jet.OLEDB.4.0;" _
            & "DATA SOURCE=" _
            & Server.MapPath("/DG/10/Emps.mdb;"))
        DBCommand = New OleDbDataAdapter _
            ("Select DepartmentID, DepartmentName " _
            & "From Departments " _
            & "Order By DepartmentName", DBConn)
        DBCommand.Fill(DSPageData, _
            "Departments")
        ddlDepartments.DataSource = _
            DSPageData.Tables("Departments").DefaultView
        ddlDepartments.DataBind()
        DBCommand = New OleDbDataAdapter _
            ("Select LastName, FirstName, PhoneNumber, " _
            & "EmailAddress, Notes, DepartmentName, " _
            & "Employees.DepartmentID " _
            & "From Employees Left Join Departments On " _
            & "Employees.DepartmentID = " _
            & "Departments.DepartmentID Where " _
            & "EmployeeID = " & Request.QueryString("EmployeeID") _
            , DBConn) 
        DBCommand.Fill(DSPageData, _
            "EmployeeData")
        txtFirstName.Text = DSPageData.Tables("EmployeeData"). _
                Rows(0).Item("FirstName")
        txtLastName.Text = DSPageData.Tables("EmployeeData"). _
                Rows(0).Item("LastName")
        txtPhoneNumber.Text = DSPageData.Tables("EmployeeData"). _
                Rows(0).Item("PhoneNumber")
        txtEmailAddress.Text = DSPageData.Tables("EmployeeData"). _
                Rows(0).Item("EmailAddress")
        txtNotes.Text = DSPageData.Tables("EmployeeData"). _
                Rows(0).Item("Notes")
        TheItem.Selected = True
        TheItem.Value = DSPageData.Tables("EmployeeData"). _
                Rows(0).Item("DepartmentID")
        TheItem.Text = DSPageData.Tables("EmployeeData"). _
                Rows(0).Item("DepartmentName")
        ddlDepartments.Items.Add(TheItem)
    End If
End Sub
Sub SubmitBtn_Click(Sender As Object, E As EventArgs)
    Dim DBConn as OleDbConnection
    Dim DBUpdate As New OleDbCommand
    DBConn = New OleDbConnection("PROVIDER=" _
        & "Microsoft.Jet.OLEDB.4.0;" _
        & "DATA SOURCE=" _
        & Server.MapPath("/DG/10/Emps.mdb;"))
    DBUpdate.CommandText = "Update Employees set " _
        & "LastName = " _
        & "'" & Replace(txtLastName.Text, "'", "''") & "', " _
        & "FirstName = " _
        & "'" & Replace(txtFirstName.Text, "'", "''") & "', " _
        & "PhoneNumber = " _
        & "'" & Replace(txtPhoneNumber.Text, "'", "''") & "', " _
        & "EmailAddress = " _
        & "'" & Replace(txtEmailAddress.Text, "'", "''") _
        & "', " & "Notes = " _
        & "'" & Replace(txtNotes.Text, "'", "''") & "', " _
        & "DepartmentID = " _
        & ddlDepartments.SelectedItem.Value & " Where " _
        & "EmployeeID = " & Request.QueryString("EmployeeID")
    DBUpdate.Connection = DBConn
    DBUpdate.Connection.Open
    DBUpdate.ExecuteNonQuery()
    Response.Redirect("./index.aspx")
End Sub
</SCRIPT>
<HTML>
<HEAD>
<TITLE>Employees Sample Site</TITLE>
</HEAD>
<BODY BACKGROUND="./bg.gif" TEXT="black" LINK="darkred" VLINK="darkred" ALINK="red" LEFTMARGIN="40" TOPMARGIN="60">
<form runat="server">
<Font Face="Tahoma" Size="+1">
<Table>
<TR>
<TD>
<asp:Label
    id="lblFirstName"
    runat="Server"
    text="First Name"
/>    
</TD>
<TD>
<asp:TextBox
    id="txtFirstName"
    runat="server"
    MaxLength=50
/>
</TD>
</TR>
<TR>
<TD>
<asp:Label
    id="lblLastName"
    runat="Server"
    text="Last Name"
/>    
</TD>
<TD>
<asp:TextBox
    id="txtLastName"
    runat="server"
    MaxLength=50
/>
</TD>
</TR>
<TR>
<TD>
<asp:Label
    id="lblDepartment"
    runat="Server"
    text="Department Name"
/>    
</TD>
<TD>
<asp:dropdownlist 
    id="ddlDepartments" 
    runat=server
    DataTextField="DepartmentName" 
    DataValueField="DepartmentID"
/>
</TD>
</TR>
<TR>
<TD>
<asp:Label
    id="lblEmailAddress"
    runat="Server"
    text="Email Address"
/>    
</TD>
<TD>
<asp:TextBox
    id="txtEmailAddress"
    runat="server"
    MaxLength=50
/>
</TD>
</TR>
<TR>
<TD>
<asp:Label
    id="lblPhoneNumber"
    runat="Server"
    text="Phone Number"
/>    
</TD>
<TD>
<asp:TextBox
    id="txtPhoneNumber"
    runat="server"
    MaxLength=50
/>
</TD>
</TR>
<TR>
<TD>
<asp:Label
    id="lblNotes"
    runat="Server"
    text="Notes"
/>    
</TD>
<TD>
<asp:TextBox
    id="txtNotes"
    runat="server"
    TextMode="MultiLine"
    Columns=30
    Rows=3
/>
</TD>
</TR>
</Table>
<BR><BR>
<asp:button 
    id="butOK"
    text="Update"
    Type="Submit"
    OnClick="SubmitBtn_Click" 
    runat="server"
/>
<BR><BR>
<asp:HyperLink 
    id="hyp1"
    runat="server"
    Text="Return to Grid"
    NavigateURL="./index.aspx"
/>
</Font>
</Form>
</BODY>
</HTML>