<%@ Page Language=VB Debug=true %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OLEDB" %>
<script runat=server>
Sub Page_Load(ByVal Sender as Object, ByVal E as EventArgs)
    If Not IsPostBack Then
        Dim DBConn as OleDbConnection
        Dim DBCommand As OleDbDataAdapter
        Dim DSPageData as New DataSet
        DBConn = New OleDbConnection("PROVIDER=" _
            & "Microsoft.Jet.OLEDB.4.0;" _
            & "DATA SOURCE=" _
            & Server.MapPath("/DG/10/Emps.mdb;"))
        DBCommand = New OleDbDataAdapter _
            ("Select EmployeeID, LastName, FirstName, " _
            & "EmailAddress From Employees " _
            & "Order By LastName", DBConn) 
        DBCommand.Fill(DSPageData, _
            "Employees")
        dgEmps.DataSource = _
            DSPageData.Tables("Employees").DefaultView
        dgEmps.DataBind
    End If
End Sub
Sub Sort_Grid(ByVal Sender as Object, _
    ByVal E as DataGridSortCommandEventArgs)
        Dim DBConn as OleDbConnection
        Dim DBCommand As OleDbDataAdapter
        Dim DSPageData as New DataSet
        DBConn = New OleDbConnection("PROVIDER=" _
            & "Microsoft.Jet.OLEDB.4.0;" _
            & "DATA SOURCE=" _
            & Server.MapPath("/DG/10/Emps.mdb;"))
        DBCommand = New OleDbDataAdapter _
            ("Select EmployeeID, LastName, FirstName, " _
            & "EmailAddress From Employees " _
            & "Order By " _
            & E.SortExpression.ToString(), DBConn) 
        DBCommand.Fill(DSPageData, _
            "Employees")
        dgEmps.DataSource = _
            DSPageData.Tables("Employees").DefaultView
        dgEmps.DataBind
End Sub
Sub Click_Grid(ByVal Sender as Object, ByVal E as DataGridCommandEventArgs)
    If E.CommandSource.CommandName = "Edit" Then
        Response.Redirect("./edit.aspx?EmployeeID=" _
            & E.Item.Cells(1).Text)
    ElseIf E.CommandSource.CommandName = "Delete" Then
        Dim DBConn as OleDbConnection
        Dim DBDelete As New OleDbCommand
        Dim DBCommand As OleDbDataAdapter
        Dim DSPageData as New DataSet
        DBConn = New OleDbConnection("PROVIDER=" _
            & "Microsoft.Jet.OLEDB.4.0;" _
            & "DATA SOURCE=" _
            & Server.MapPath("/DG/10/Emps.mdb;"))
        DBDelete.CommandText = "Delete From Employees Where " _
            & "EmployeeID = " _
            & E.Item.Cells(1).Text
        DBDelete.Connection = DBConn
        DBDelete.Connection.Open
        DBDelete.ExecuteNonQuery()
        DBConn = New OleDbConnection("PROVIDER=" _
            & "Microsoft.Jet.OLEDB.4.0;" _
            & "DATA SOURCE=" _
            & Server.MapPath("/DG/10/Emps.mdb;"))
        DBCommand = New OleDbDataAdapter _
            ("Select EmployeeID, LastName, FirstName, " _
            & "EmailAddress From Employees " _
            & "Order By LastName", DBConn) 
        DBCommand.Fill(DSPageData, _
            "Employees")
        dgEmps.DataSource = _
            DSPageData.Tables("Employees").DefaultView
        dgEmps.DataBind
    End If
End Sub
</SCRIPT>
<HTML>
<HEAD>
<TITLE>Employees Sample Site</TITLE>
</HEAD>
<BODY BACKGROUND="./bg.gif" TEXT="black" LINK="darkred" VLINK="darkred" ALINK="red" LEFTMARGIN="40" TOPMARGIN="60">
<form runat="server">
<Font Face="Tahoma" Size="+1">
<ASP:DataGrid 
    id="dgEmps" 
    runat="server"
    Width="90%"
    BorderColor="black"
    CellPadding=3 
    CellSpacing="0"
    Font-Name="Trebuchet MS"
    Font-Size="10pt"
    ForeColor="Black"
    BackColor="Beige" 
    HeaderStyle-BackColor="Burlywood"
    HeaderStyle-Font-Bold="True"
    AutoGenerateColumns="False"
    AllowSorting="True"
    OnSortCommand="Sort_Grid"
    OnItemCommand="Click_Grid"
>
    <Columns>
        <asp:HyperLinkColumn
            HeaderText="ID (Click for More Info)"
            DataNavigateUrlField="EmployeeID"
            DataNavigateUrlFormatString="./view.aspx?EmployeeID={0}"
            DataTextField="EmployeeID"
            SortExpression="EmployeeID"
        />
        <asp:BoundColumn 
            DataField="EmployeeID"
            Visible="False"
        />
        <asp:BoundColumn 
            HeaderText="Last Name" 
            DataField="LastName"
            SortExpression="LastName"
        />
        <asp:BoundColumn 
            HeaderText="First Name" 
            DataField="FirstName"
        />
        <asp:HyperLinkColumn
            HeaderText="Email Address"
            DataNavigateUrlField="EmailAddress"
            DataNavigateUrlFormatString="mailto:{0}"
            DataTextField="EmailAddress"
            SortExpression="EmailAddress"
        />
        <asp:ButtonColumn 
            HeaderText="Click to Edit" 
            ButtonType="PushButton" 
            Text="Edit"
            CommandName="Edit"
        />
        <asp:ButtonColumn 
            HeaderText="Click to Delete" 
            ButtonType="PushButton" 
            Text="Delete"
            CommandName="Delete"
        />
    </Columns>  
</asp:DataGrid>
<BR><BR>
<asp:HyperLink 
    id="hyp1"
    runat="server"
    Text="Click to Add a New Employee"
    NavigateURL="./add.aspx"
/>

</Font>
</Form>
</BODY>
</HTML>