<%@ Page Language=VB Debug=true %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OLEDB" %>
<script runat=server>
Sub Page_Load(ByVal Sender as Object, ByVal E as EventArgs)
    If Not IsPostBack Then
        Dim DBConn as OleDbConnection
        Dim DBCommand As OleDbDataAdapter
        Dim DSPageData as New DataSet
        DBConn = New OleDbConnection("PROVIDER=" _
            & "Microsoft.Jet.OLEDB.4.0;" _
            & "DATA SOURCE=" _
            & Server.MapPath("/DG/23/C23.mdb;"))
        DBCommand = New OleDbDataAdapter _
            ("Select ProductCategoryID, CategoryName " _
            & "From ProductCategories " _
            & "Order By CategoryName", DBConn) 
        DBCommand.Fill(DSPageData, _
            "Categories")
        ddlCategories.DataSource = _
            DSPageData.Tables("categories").DefaultView
        ddlCategories.DataBind
    End If
End Sub
Sub ViewCat_Click(Sender As Object, E As EventArgs)
    Response.Redirect("./products.aspx?Mode=ViewCat&" _
        & "ProductCategoryID=" & ddlCategories.SelectedItem.Value _
        & "&CategoryName=" & ddlCategories.SelectedItem.Text)
End Sub
Sub Search_Click(Sender As Object, E As EventArgs)
    Response.Redirect("./products.aspx?Mode=Search&" _
        & "SearchText=" & Replace(txtSearchText.Text, "'", "''"))
End Sub
Sub OrderStatus_Click(Sender As Object, E As EventArgs)
    Response.Redirect("./order_status.aspx?CustomerID=" _
        & txtOrderNumber.Text)
End Sub
</SCRIPT>
<HTML>
<HEAD>
<TITLE>Clothing Store</TITLE>
</HEAD>
<BODY BACKGROUND="./bg.gif" TEXT="black" LINK="darkred" VLINK="darkred" ALINK="red" LEFTMARGIN="40" TOPMARGIN="30">
<form runat="server">
<Font Face="Tahoma" Size="+1">
<asp:Label 
    id="lblTitle" 
    BorderWidth="7px"
    BorderStyle=9
    Width="90%"
    Font-Size="25pt"
    Font-Name="Arial"
    runat="server"
    Text="<CENTER>Clothing Store</CENTER>"
/>
<BR><BR>
<asp:Label 
    id="lblMessage1" 
    Font-Size="12pt"
    Font-Bold="True"
    Font-Name="Lucida Console"
    runat="server"
    Text="Welcome to our clothing store! Select from below 
        how you would like to explore our product catalog!"
/>
<BR><BR>
<asp:Label 
    id="lblMessage2" 
    Font-Size="12pt"
    Font-Bold="True"
    Font-Name="Lucida Console"
    runat="server"
    Text="Browse by Category"
/>
<asp:dropdownlist 
    id="ddlCategories" 
    runat=server
    DataTextField="CategoryName" 
    DataValueField="ProductCategoryID">
</asp:dropdownlist>
<BR>
<asp:button 
    id="butViewCat"
    text="  OK  "
    Type="Submit"
    OnClick="ViewCat_Click" 
    runat="server"
/>
<BR><BR>
<asp:Label 
    id="lblMessage3" 
    Font-Size="12pt"
    Font-Bold="True"
    Font-Name="Lucida Console"
    runat="server"
    Text="Search Catalog"
/>
<asp:TextBox 
    id="txtSearchText" 
    runat=server
/>
<BR>
<asp:button 
    id="butSearch"
    text="  OK  "
    Type="Submit"
    OnClick="Search_Click" 
    runat="server"
/>
<BR><BR>
<asp:HyperLink 
    id="hyp1"
    runat="server"
    Text="View Specials"
    NavigateURL="./products.aspx?Mode=Specials"
/>
<BR>
<asp:HyperLink 
    id="hyp2"
    runat="server"
    Text="View New Arrivals"
    NavigateURL="./products.aspx?Mode=Arrivals"
/>
<BR><BR>
<asp:Label 
    id="lblMessage4" 
    Font-Size="12pt"
    Font-Bold="True"
    Font-Name="Lucida Console"
    runat="server"
    Text="View Order Status"
/>
<asp:TextBox 
    id="txtOrderNumber" 
    runat=server
/>
<BR>
<asp:button 
    id="butOrderStatus"
    text="  OK  "
    Type="Submit"
    OnClick="OrderStatus_Click" 
    runat="server"
/>
<BR><BR>
<asp:HyperLink 
    id="hyp3"
    runat="server"
    Text="Employee Directory"
    NavigateURL="./empdir.aspx"
/>
&nbsp&nbsp
<asp:HyperLink 
    id="hyp4"
    runat="server"
    Text="Shopping Cart"
    NavigateURL="./shopping_cart.aspx"
/>
&nbsp&nbsp
<asp:HyperLink 
    id="hyp5"
    runat="server"
    Text="Check Out"
    NavigateURL="./check_out.aspx"
/>
</Font>
</Form>
</BODY>
</HTML>