<%@ Page 
    Inherits="System.Web.UI.MobileControls.MobilePage" 
    Language="VB" 
%>
<%@ Register 
    TagPrefix="mobile" 
    Namespace="System.Web.UI.MobileControls" 
    Assembly="System.Web.Mobile" 
%>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OLEDB" %>
<script runat="server" language="VB">
Sub Page_Load(ByVal Sender as Object, ByVal E as EventArgs)
    If Len(Session("UserID")) = 0 Then
        Response.Redirect("./index.aspx")
    End If
    If Not IsPostBack Then
        Dim DBConn as OleDbConnection
        Dim DBCommand As OleDbDataAdapter
        Dim DSPageData as New DataSet
        DBConn = New OleDbConnection("PROVIDER=" _
            & "Microsoft.Jet.OLEDB.4.0;" _
            & "DATA SOURCE=" _
            & Server.MapPath("/DG/20/Messenger.mdb;"))
        DBCommand = New OleDbDataAdapter _
            ("Select MessageID, MessageTitle " _
            & "From Messages " _
            & "Where UserTo = " & Session("UserID") _
            & " Order By WhenSent", DBConn)
        DBCommand.Fill(DSPageData, _
            "Messages")
        ddlMessages.DataSource = _
            DSPageData.Tables("Messages").DefaultView
        ddlMessages.DataBind()
    End If
End Sub
Sub View_OnSubmit(Sender As Object, E As EventArgs)
    Response.Redirect("./view.aspx?MessageID=" _
        & ddlMessages.Selection.Value)
End Sub
</script>
<mobile:Form id="Register" runat="server">
    <mobile:Label 
        runat="server"
        id="lblTitle"
        StyleReference="title" 
        Text="Messenger"
    />
    <mobile:Label 
        runat="server" 
        id="lbl1"
        Text="Select Message" 
    />
    <mobile:SelectionList
        runat="server" 
        id="ddlMessages"
        DataTextField="MessageTitle"
        DataValueField="MessageID"
    />
    <mobile:Command 
        runat="server" 
        id="cmdView"
        OnClick="View_OnSubmit" 
        Text="View" 
    />
    <mobile:Link
        runat="server" 
        id="lnkAdd"
        Text="Create a Message" 
        NavigateURL="./create.aspx"
    />
</mobile:Form>


