<%@ Page Language=VB Debug=true EnableSessionState=true %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OLEDB" %>
<script runat=server>
Sub Page_Load(ByVal Sender as Object, ByVal E as EventArgs)
    If Not IsPostBack Then
        Dim DBConn as OleDbConnection
        Dim DBCommand As OleDbDataAdapter
        Dim DSPageData as New DataSet
        If Len(Request.QueryString("ProductID")) = 0 Then
            Response.Redirect("./index.aspx")
        End If
        DBConn = New OleDbConnection("PROVIDER=Microsoft.Jet.OLEDB.4.0;" _
            & "DATA SOURCE=" _
            & Server.MapPath("/dg/21/C21.mdb;"))
        DBCommand = New OleDbDataAdapter _
            ("Select ProductName, LongDescription, " _
            & "PathToIcon, PathToFull, Price, CategoryName, " _
            & "CurrentQuantity, MaxQuantity, EA1, EA2 " _
            & "From Products Left Join ProductCategories On " _
            & "Products.ProductCategoryID = " _
            & "ProductCategories.ProductCategoryID Where " _
            & "ProductID = " & Request.QueryString("ProductID") _
            , DBConn) 
        DBCommand.Fill(DSPageData, _
            "ProductData")
        lblTitle.Text = "<CENTER>" _
            & DSPageData.Tables("ProductData"). _
            Rows(0).Item("ProductName") & "</CENTER>"
        lblCategoryName.Text = "Category: " _
            & DSPageData.Tables("ProductData"). _
            Rows(0).Item("CategoryName")
        hypIcon.ImageUrl = DSPageData.Tables("ProductData"). _
            Rows(0).Item("PathToIcon")
        hypIcon.NavigateUrl = DSPageData.Tables("ProductData"). _
            Rows(0).Item("PathToFull")
        lblLongDescription.Text = DSPageData.Tables("ProductData"). _
            Rows(0).Item("LongDescription")
        lblPrice.Text = "Price: " _
            & FormatCurrency(DSPageData.Tables("ProductData"). _
            Rows(0).Item("Price"))
        If DSPageData.Tables("ProductData"). _
            Rows(0).Item("CurrentQuantity") > 0 Then
            If DSPageData.Tables("ProductData"). _
                Rows(0).Item("CurrentQuantity") < _
                DSPageData.Tables("ProductData"). _
                Rows(0).Item("MaxQuantity") Then
                    rngQuantity.Text = "Quantity must be a number " _
                        & "from 1 to " _
                        & DSPageData.Tables("ProductData"). _
                        Rows(0).Item("CurrentQuantity") & "."
                    rngQuantity.MaximumValue = _
                        DSPageData.Tables("ProductData"). _
                        Rows(0).Item("CurrentQuantity")
            Else
                    rngQuantity.Text = "Quantity must be a number " _
                        & "from 1 to " _
                        & DSPageData.Tables("ProductData"). _
                        Rows(0).Item("MaxQuantity") & "."
                    rngQuantity.MaximumValue = _
                        DSPageData.Tables("ProductData"). _
                        Rows(0).Item("MaxQuantity")
            End If        
        Else
            pnlAvailable.Visible = False
            pnlNotAvailable.Visible = True
        End If
        If DSPageData.Tables("ProductData"). _
            Rows(0).Item("EA1") <> 0 Then
            pnlEA1.Visible = True
            DBCommand = New OleDbDataAdapter _
                ("Select EAName From EAs Where " _
                & "EAID = " & DSPageData.Tables("ProductData"). _
                Rows(0).Item("EA1"), DBConn) 
            DBCommand.Fill(DSPageData, _
                "EA1Name")
            lblEA1.Text = DSPageData.Tables("EA1Name"). _
                Rows(0).Item("EAName")
            DBCommand = New OleDbDataAdapter _
                ("Select EAValue From EAValues Where " _
                & "EAID = " & DSPageData.Tables("ProductData"). _
                Rows(0).Item("EA1"), DBConn) 
            DBCommand.Fill(DSPageData, _
                "EA1Values")
            ddlEA1.DataSource = _
                DSPageData.Tables("EA1Values").DefaultView
            ddlEA1.DataBind
        End If
        If DSPageData.Tables("ProductData"). _
            Rows(0).Item("EA2") <> 0 Then
            pnlEA2.Visible = True
            DBCommand = New OleDbDataAdapter _
                ("Select EAName From EAs Where " _
                & "EAID = " & DSPageData.Tables("ProductData"). _
                Rows(0).Item("EA2"), DBConn) 
            DBCommand.Fill(DSPageData, _
                "EA2Name")
            lblEA2.Text = DSPageData.Tables("EA2Name"). _
                Rows(0).Item("EAName")
            DBCommand = New OleDbDataAdapter _
                ("Select EAValue From EAValues Where " _
                & "EAID = " & DSPageData.Tables("ProductData"). _
                Rows(0).Item("EA2"), DBConn) 
            DBCommand.Fill(DSPageData, _
                "EA2Values")
            ddlEA2.DataSource = _
                DSPageData.Tables("EA2Values").DefaultView
            ddlEA2.DataBind
        End If
    End If
End Sub
Sub SubmitBtn_Click(Sender As Object, E As EventArgs)

End Sub
</SCRIPT>
<HTML>
<HEAD>
<TITLE>Clothing Store - Product Page</TITLE>
</HEAD>
<BODY BACKGROUND="./bg.gif" TEXT="black" LINK="darkred" VLINK="darkred" ALINK="red" LEFTMARGIN="40" TOPMARGIN="30">
<form runat="server">
<asp:Label 
    id="lblTitle" 
    BorderWidth="7px"
    BorderStyle=7
    Width="90%"
    Font-Size="25pt"
    Font-Name="Arial"
    runat="server"
/>
<Font Face="Arial">
<BR><BR>
<asp:HyperLink 
    id="hypIcon"
    runat="server"
    Text="Click to view larger image"
    Target="new"
    BorderWidth="7px"
    BorderStyle=7
/>
<BR><BR>
<asp:Label 
    id="lblCategoryName" 
    Font-Bold="True"
    runat="server"
/>
<BR><BR>
<asp:Label 
    id="lblLongDescription" 
    Font-Bold="True"
    Width="90%"
    runat="server"
/>
<BR><BR>
<asp:Label 
    id="lblPrice" 
    Font-Bold="True"
    runat="server"
/>

<asp:Panel 
    id="pnlEA1" 
    runat="server"
    Visible="False"
>
<BR>
<asp:Label 
    id="lblEA1" 
    Font-Bold="True"
    runat="server"
/>
<asp:dropdownlist 
    id="ddlEA1" 
    runat=server
    DataTextField="EAValue">
</asp:dropdownlist>
</asp:Panel>

<asp:Panel 
    id="pnlEA2" 
    runat="server"
    Visible="False"
>
<BR>
<asp:Label 
    id="lblEA2" 
    Font-Bold="True"
    runat="server"
/>
<asp:dropdownlist 
    id="ddlEA2" 
    runat=server
    DataTextField="EAValue">
</asp:dropdownlist>
</asp:Panel>


<BR>
<asp:Panel 
    id="pnlAvailable" 
    runat="server"
>
<B>Quantity:&nbsp&nbsp</B>
<asp:TextBox 
    id="txtQuantity" 
    Columns="25"
    MaxLength="30"
    runat=server 
/>
<asp:RequiredFieldValidator 
    id="rfvQuantity"
    ControlToValidate="txtQuantity"
    Display="Dynamic"
    Font-Name="Verdana"
    Font-Bold="True"
    Font-Size="10pt"
    runat=server>
    The Quantity field is Required!
</asp:RequiredFieldValidator>
<asp:RangeValidator 
    id="rngQuantity" 
    ControlToValidate="txtQuantity" 
    Type="Integer" 
    MinimumValue=1
    Display="Dynamic"
    Font-Name="Verdana"
    Font-Bold="True"
    Font-Size="10pt"
    runat="server">
</asp:RangeValidator>
<BR><BR>
<asp:button 
    id="butOK"
    text="  OK  "
    Type="Submit"
    OnClick="SubmitBtn_Click" 
    runat="server"
/>
</asp:Panel>
<asp:Panel 
    id="pnlNotAvailable" 
    runat="server"
    Visible="False"
>
<B><H3>This product is currently sold out.</H3></B>
</asp:Panel>
<BR><BR>
<asp:HyperLink 
    id="hyp"
    runat="server"
    Text="Home"
    NavigateURL="./index.aspx"
/></Font>
</Form>
</BODY>
</HTML>
