<%@ Page Language=VB Debug=true %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OLEDB" %>
<script runat=server>
Sub Page_Load(ByVal Sender as Object, ByVal E as EventArgs)
    If Len(Session("CustomerID")) <> 0 Then
        Dim DBConn as OleDbConnection
        Dim DBCommand As OleDbDataAdapter
        Dim DSPageData as New DataSet
        DBConn = New OleDbConnection("PROVIDER=Microsoft.Jet.OLEDB.4.0;" _
            & "DATA SOURCE=" _
            & Server.MapPath("/dg/22/C22.mdb;"))
        DBCommand = New OleDbDataAdapter _
            ("Select ShoppingCartItemID, ProductName, " _
            & "EA1, EA2, Quantity, Price, Shipping From " _
            & "ShoppingCartItems Where " _
            & "CustomerID = " & Session("CustomerID") _
            & " Order By ProductName" _
            , DBConn) 
        DBCommand.Fill(DSPageData, _
            "ShoppingCart")
        If DSPageData.Tables("ShoppingCart").Rows.Count = 0 Then
            lblPriceTotal.Text = "You do not have any items " _
                & "in your shopping chart."
        Else
            dgShoppingCart.DataSource = _
                DSPageData.Tables("ShoppingCart").DefaultView
            dgShoppingCart.DataBind
            DBCommand = New OleDbDataAdapter _
                ("Select Sum(Price) as PriceSum, " _
                & "Sum(Shipping) as ShippingSum From " _
                & "ShoppingCartItems Where " _
                & "CustomerID = " & Session("CustomerID") _
                , DBConn) 
            DBCommand.Fill(DSPageData, _
                "Totals")
            lblPriceTotal.Text = "Total: " _
                & FormatCurrency(DSPageData.Tables("Totals"). _
                Rows(0).Item("PriceSum"))
            lblShippingTotal.Text = "Shipping: " _
                & FormatCurrency(DSPageData.Tables("Totals"). _
                Rows(0).Item("ShippingSum"))
            lblGrandTotal.Text = "Total: " _
                & FormatCurrency(DSPageData.Tables("Totals"). _
                Rows(0).Item("PriceSum") + _
                DSPageData.Tables("Totals"). _
                Rows(0).Item("ShippingSum"))
        End If
    Else
        lblPriceTotal.Text = "You do not have any items " _
            & "in your shopping chart."
    End If
End Sub
Sub Click_Grid(ByVal Sender as Object, ByVal E as DataGridCommandEventArgs)
    Dim DBConn as OleDbConnection
    Dim DBDelete As New OleDbCommand
    Dim DBCommand As OleDbDataAdapter
    Dim DSPageData as New DataSet
    DBConn = New OleDbConnection("PROVIDER=Microsoft.Jet.OLEDB.4.0;" _
        & "DATA SOURCE=" _
        & Server.MapPath("/dg/22/C22.mdb;"))
    DBDelete.CommandText = "Delete from ShoppingCartItems " _
        & "Where ShoppingCartItemID = " _
        & E.Item.Cells(6).Text
    DBDelete.Connection = DBConn
    DBDelete.Connection.Open
    DBDelete.ExecuteNonQuery()
    DBCommand = New OleDbDataAdapter _
        ("Select ShoppingCartItemID, ProductName, " _
        & "EA1, EA2, Quantity, Price, Shipping From " _
        & "ShoppingCartItems Where " _
        & "CustomerID = " & Session("CustomerID") _
        & " Order By ProductName" _
        , DBConn) 
    DBCommand.Fill(DSPageData, _
        "ShoppingCart")
    dgShoppingCart.DataSource = _
        DSPageData.Tables("ShoppingCart").DefaultView
    dgShoppingCart.DataBind
    if DSPageData.Tables("ShoppingCart").Rows.Count = 0 Then
        lblPriceTotal.Text = "You do not have any items " _
            & "in your shopping chart."
        lblShippingTotal.Text = ""
        lblGrandTotal.Text = ""
    Else
        DBCommand = New OleDbDataAdapter _
            ("Select Sum(Price) as PriceSum, " _
            & "Sum(Shipping) as ShippingSum From " _
            & "ShoppingCartItems Where " _
            & "CustomerID = " & Session("CustomerID") _
            , DBConn) 
        DBCommand.Fill(DSPageData, _
            "Totals")
        lblPriceTotal.Text = "Total: " _
            & FormatCurrency(DSPageData.Tables("Totals"). _
            Rows(0).Item("PriceSum"))
        lblShippingTotal.Text = "Shipping: " _
            & FormatCurrency(DSPageData.Tables("Totals"). _
            Rows(0).Item("ShippingSum"))
        lblGrandTotal.Text = "Total: " _
            & FormatCurrency(DSPageData.Tables("Totals"). _
            Rows(0).Item("PriceSum") + _
            DSPageData.Tables("Totals"). _
            Rows(0).Item("ShippingSum"))
    End If    
End Sub
</SCRIPT>
<HTML>
<HEAD>
<TITLE>Clothing Store - Shopping Cart</TITLE>
</HEAD>
<BODY BACKGROUND="./bg.gif" TEXT="black" LINK="darkred" VLINK="darkred" ALINK="red" LEFTMARGIN="40" TOPMARGIN="30">
<form runat="server">
<asp:Label 
    id="lblTitle" 
    BorderWidth="7px"
    BorderStyle=7
    Width="98%"
    Font-Size="25pt"
    Font-Name="Arial"
    runat="server"
    Text="<CENTER>Shopping Cart</CENTER>"
/>
<Font Face="Arial">
<BR><BR>
<ASP:DataGrid 
    id="dgShoppingCart" 
    AutoGenerateColumns="false"
    Width="98%"
    BackColor="beige" 
    AlternatingItemStyle-BackColor="cornsilk" 
    BorderColor="black"
    ShowFooter="false" 
    CellPadding=3 
    CellSpacing="0"
    Font-Name="Arial"
    Font-Size="8pt"
    ForeColor="Black"
    HeaderStyle-BackColor="burlywood"
    HeaderStyle-Font-Bold="True"
    OnItemCommand="Click_Grid"
    runat="server">
    <Columns>
        <asp:BoundColumn 
            HeaderText="Product Name"
            DataField="ProductName"
        />
        <asp:BoundColumn 
            HeaderText="Extra Info-1"
            DataField="EA1"
        />
        <asp:BoundColumn 
            HeaderText="Extra Info-2"
            DataField="EA2"
        />
        <asp:BoundColumn 
            HeaderText="Quantity"
            DataField="Quantity"
        />
        <asp:BoundColumn 
            HeaderText="Price"
            DataField="Price"
            DataFormatString="{0:C}"
        />
        <asp:BoundColumn 
            HeaderText="Shipping"
            DataField="Shipping"
            DataFormatString="{0:C}"
        />
        <asp:BoundColumn 
            DataField="ShoppingCartItemID"
            Visible="False"
        />
        <asp:ButtonColumn 
            HeaderText="Click to Remove Item" 
            ButtonType="LinkButton" 
            Text="Remove" 
            CommandName="cmdRemoveItem"
        />
    </Columns>  
</asp:DataGrid>
<BR><BR>
<asp:Label 
    id="lblPriceTotal" 
    Font-Bold="True"
    Width="90%"
    runat="server"
/>
<BR>
<asp:Label 
    id="lblShippingTotal" 
    Font-Bold="True"
    Width="90%"
    runat="server"
/>
<BR>
<asp:Label 
    id="lblGrandTotal" 
    Font-Bold="True"
    Width="90%"
    runat="server"
/>
&nbsp&nbsp
<asp:HyperLink 
    id="hyp2"
    runat="server"
    Text="Home"
    NavigateURL="./index.aspx"
/>
&nbsp&nbsp
<asp:HyperLink 
    id="hyp3"
    runat="server"
    Text="Check Out"
    NavigateURL="./check_out.aspx"
/>
</Font>
</Form>
</BODY>
</HTML>
